Mail archive
alpine-devel

[alpine-devel] [PATCH 10/25] testing/mate-settings-daemon: fix build function and deps

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Fri, 19 Dec 2014 10:26:16 +0000

---
 testing/mate-settings-daemon/APKBUILD | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)
diff --git a/testing/mate-settings-daemon/APKBUILD b/testing/mate-settings-daemon/APKBUILD
index 6f15a6a..9641c8a 100644
--- a/testing/mate-settings-daemon/APKBUILD
+++ b/testing/mate-settings-daemon/APKBUILD
_at_@ -2,16 +2,15 @@
 # Maintainer:
 pkgname=mate-settings-daemon
 pkgver=1.9.5
-pkgrel=0
+pkgrel=1
 pkgdesc="MATE Settings daemon"
 url="https://github.com/mate-desktop/mate-settings-daemon"
 arch="all"
 license="GPL2"
 depends="mate-common mate-desktop"
 depends_dev=""
-makedepends="$depends_dev autoconf automake libtool intltool
-	glib-dev gtk+-dev dbus-glib-dev dconf-dev libxklavier-dev
-	libmatekbd-dev freeglut-dev libsm-dev"
+makedepends="$depends_dev libtool intltool libmatekbd-dev freeglut-dev
+	glib-dev gtk+-dev dbus-glib-dev dconf-dev libxklavier-dev libsm-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
_at_@ -29,7 +28,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	./autogen.sh --prefix=/usr || return 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| return 1
 	make || return 1
 }
 
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Fri Dec 19 2014 - 10:26:16 UTC